--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to amend MDD change 12/245
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              20-AUG-2012 C Brown           9.0.018.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply MDD change 12/245
PROMPT
PROMPT Version 9.0.018.0
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Regress Amendment Market Participant COE no longer used as a SHIP
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  CURSOR C_MP_CODE IS
    SELECT PARAM_VALUE
      FROM PROGRAM_PARAMETERS
     WHERE PARAM_NAME = 'DEFAULT_MARKET_PARTICIPANT_CODE';
  L_MP_CODE           VARCHAR2(100);
BEGIN
  OPEN C_MP_CODE;
  FETCH C_MP_CODE INTO L_MP_CODE;
  IF C_MP_CODE%NOTFOUND
  THEN
    L_MP_CODE := 'GENERIS';
  END IF;
  CLOSE C_MP_CODE;

  IF L_MP_CODE <> 'BGT'
  THEN
     EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE 
			SET EFFECTIVE_TO_DATE = NULL
			WHERE MARKET_PARTICIPANT_CODE = ''COE''
			AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''' ;
  END IF;
EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
